# Define function to read genetic algorithm parameters
def read_GA_parameters():
    """Function to read genetic algorithm parameters"""
    
    # Try to open ga.in file
    try:
        fo1 = open("ga.in","r")
    except IOError:
        print("\nIOError! I can't find ga.in file")

    # Looping through ga.in lines
    for line in fo1:
        aux_line = str(line)
        try:
            index1 = aux_line.index("=") + 1
        except:
            index1 = 13
        index2 = aux_line.index("#")
                
        # Population size
        if "pop_size    =" in aux_line:             
            pop_size = int(aux_line[index1:index2])
            print("\nPopulation size => ",pop_size)
    
        # Number of iterations
        elif "max_iter    =" in aux_line:
            max_iter = int(aux_line[index1:index2])
            print("\nNumber of iterations => ",max_iter)
		
        # Probability of crossover
        elif "p_cross     =" in aux_line:
            p_cross = float(aux_line[index1:index2])
            print("\nProbability of crossver => ",p_cross)
                
        # Length of strings
        elif "len_str     =" in aux_line:
            len_str = int(aux_line[index1:index2])
            print("\nString length => ",len_str)
                
        # Probability of mutation_Coley_algo_03
        elif "p_mut       =" in aux_line:
            p_mut = float(aux_line[index1:index2])
            print("\nProbability of mutation => ",p_mut)
                
        # Seed for generation of random number
        elif "seed        =" in aux_line:
            seed = int(aux_line[index1:index2])
            print("\nSeed => ",seed)
                
        # Minimum float
        elif "min_f       =" in aux_line:
            min_f = float(aux_line[index1:index2])
            print("\nMinimum float => ",min_f)
                
        # Maximum float
        elif "max_f       =" in aux_line:
            max_f = float(aux_line[index1:index2])
            print("\nMaximum float => ",max_f)

        # Conversion factor (fitness function to dimensions)
        elif "conv_factor =" in aux_line:
            conv_factor = float(aux_line[index1:index2])
            print("\nConversion factor for tutle dorwings => ",conv_factor)
        
    return pop_size,max_iter,p_cross,len_str,p_mut,seed,min_f,max_f,conv_factor

