# Class to draw a turtle using Turtle library

# Import library
from turtle import *

# Define a class
class Touche(object):
    """A class to draw an ellipse"""
    
    # Define constructor method
    def __init__(self,x,y,size_x,size_y,rotate, color):        
        self.x = x                          # x coordinate in pixels
        self.y = y                          # y coordinate in pixels
        self.size_x = size_x                # Ellipse axis
        self.size_y = size_y                # Ellipse axis
        self.color = color                  # Filling color
        self.rotate = rotate                # Rotation
    
    # Define draw() method
    def draw(self):
        self.wn = Screen()                  # Call screen with dimensions 680 x 570 , 0,0 at the center
        self._ = Turtle()                   # Create a turtle self._
        self._.penup()                      # Move pen up
        self._.setx(self.x)                 # Set up initial position x coordinate
        self._.sety(self.y)                 # Set up initial position y coordinate
        self._.pendown()                    # Move pen down
        self._.shape("turtle")              # Draw a turtle
        #self._.right(self.x*45)            # Rotate an angle in degrees  
        self._.right(self.rotate*45)  
        self._.shapesize(self.size_x, self.size_y, 1)   # Define size
        self._.fillcolor(self.color)        # Define color  '#ff ff ff'  '#32c18f'
    
    # Define bye() method 
    def bye(self):    
        self.wn.exitonclick()               # Close when mouse click
    